<?php

class CRM_Bij1migratie_Mapping_AirtableMapping extends CRM_Bij1migratie_Mapping_AbstractMapping
{
    public const FIELD_LIDNUMMER = 'lidnummer';
    public const FIELD_LIDSTATUS = 'lidstatus';
    public const FIELD_PERIODE = 'periode';
    public const FIELD_MOLLIE_CUSTOMER_ID = 'mollie_customer_id'; //made to now match form-processor for contacten, not airtable
    public const FIELD_TERMIJNBEDRAG = 'termijnbedrag';
    public const FIELD_TRIODOS = 'triodos';
    public const FIELD_NOTITIE = 'notitie';
    public const FIELD_VOORNAAM = 'voornaam';
    public const FIELD_ACHTERNAAM = 'achternaam';
    public const FIELD_EMAIL = 'email';
    public const FIELD_STRAAT_HUISNUMMER = 'straat_huisnummer';
    public const FIELD_POSTCODE = 'postcode';
    public const FIELD_PLAATS = 'plaats';
    public const FIELD_LAND = 'land';
    public const FIELD_INSCHRIJVINGSDATUM = 'inschrijvingsdatum';
    public const FIELD_TELEFOON = 'telefoon';
    public const FIELD_IBAN = 'iban';
    // public const FIELD_SOCIAAL_TARIEF = 'sociaal_tarief';
    
    public static $MAPPING = [
        // Name
        self::FIELD_LIDNUMMER => 1, // Lidnummer
        self::FIELD_LIDSTATUS => 2, // Lidmaatschapsstatus
        self::FIELD_PERIODE => 3, // Periode                                //enum
        self::FIELD_MOLLIE_CUSTOMER_ID => 4, // mollie_id
        self::FIELD_TERMIJNBEDRAG => 5, // Termijnbedrag                    //decimal
        self::FIELD_TRIODOS => 6, // Triodos                                //boolean
        self::FIELD_NOTITIE => 7, // Notes
        // Uitschrijvingsdatum
        self::FIELD_VOORNAAM => 9, // Voornaam
        self::FIELD_ACHTERNAAM => 10, // Achternaam
        self::FIELD_EMAIL => 11, // Email
        self::FIELD_STRAAT_HUISNUMMER => 12, // Straat
        self::FIELD_POSTCODE => 13, // Postcode
        self::FIELD_PLAATS => 14, // Plaats
        self::FIELD_LAND => 15, // Land
        self::FIELD_INSCHRIJVINGSDATUM => 16, // Inschrijvingsdatum
        // netto
        // jaaropbrengst
        // Source
        // medium
        // interesse in vrijwilligerswerk
        // Attachments
        // Rollen
        self::FIELD_TELEFOON => 24, // Telefoonnummer
        // Totaal Contributie 2020
        // Jan
        // Feb
        // Maart
        // April
        // Mei
        // Juni
        // Juli
        // Augustus
        // September
        // Okt
        // Nov
        // Dec
        // Totaal contributie
        // Website nieuw
        self::FIELD_IBAN => 40, // IBAN
        // self::FIELD_SOCIAAL_TARIEF => 41, // sociaal tarief                 //boolean
        // postcode_check
    ];

    public function getColumns(): array
    {
        return self::$MAPPING;
    }
}
