<?php

class CRM_Bij1migratie_Mapping_BetalingenMapping extends CRM_Bij1migratie_Mapping_AbstractMapping
{
    public const FIELD_TRANSACTIE_ID = 'transactie_id';
    public const FIELD_AANMAAKDATUM = 'aanmaakdatum';
    public const FIELD_BETALINGSDATUM = 'betalingdatum';
    public const FIELD_OMSCRHIJVING = 'omschrijving';
    public const FIELD_BETALINGSMETHODE = 'betalingsmethode';
    public const FIELD_STATUS = 'status';
    public const FIELD_BETALINGSINSTRUMENT = 'betalingsinstrument';
    public const FIELD_MOLLIE_CUSTOMER_ID = 'mollie_customer_id';
    public const FIELD_MANDAAT = 'mandaat';
    public const FIELD_BEDRAG = 'bedrag';
    public const FIELD_MUNTEENHEID = 'munteenheid';
    public const FIELD_KLANT = 'klant';
    public const FIELD_EMAIL = 'email';

    public static $MAPPING = [
        // resource
        self::FIELD_TRANSACTIE_ID => 1, // id
        self::FIELD_AANMAAKDATUM => 2, // createdAt
        self::FIELD_BETALINGSDATUM => 3, // paidAt
        self::FIELD_OMSCRHIJVING => 4, // description
        self::FIELD_BETALINGSMETHODE => 5, // method
        self::FIELD_STATUS => 6, // status
        // isCancelable
        self::FIELD_BETALINGSINSTRUMENT => 8, // sequenceType
        // profileId
        self::FIELD_MOLLIE_CUSTOMER_ID => 10, // customerId
        self::FIELD_MANDAAT => 11, // mandateId
        // details.consumerName
        // details.consumerAccount
        // details.consumerBic
        self::FIELD_BEDRAG => 15, // amount.value
        self::FIELD_MUNTEENHEID => 16, // amount.currency
        // settlementAmount.value
        // settlementAmount.currency
        // amountRefunded.value
        // amountRefunded.currency
        // amountRemaining.value
        // amountRemaining.currency
        self::FIELD_KLANT => 23, // customer.name
        self::FIELD_EMAIL => 24, // customer.email
        // customer.createdAt
    ];

    public function getColumns(): array
    {
        return self::$MAPPING;
    }
}
