<?php

require_once 'bij1migratie.civix.php';
// phpcs:disable
use CRM_Bij1migratie_ExtensionUtil as E;
// phpcs:enable
use \Symfony\Component\DependencyInjection\ContainerBuilder;
use \Symfony\Component\DependencyInjection\Definition;

/**
 * Implements hook_civicrm_container()
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_container/
 */
function bij1migratie_civicrm_container(ContainerBuilder $container) {
  $container->addCompilerPass(new Civi\Bij1migratie\Bij1MigratieContainer());
}

/**
 * Implements hook_civicrm_navigationMenu().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_navigationMenu/
 */
function bij1migratie_civicrm_navigationMenu(&$menu) {
  _bij1migratie_civix_insert_navigation_menu($menu, 'Administer', [
    'label' => E::ts('Migratie Bij1 -> CiviCRM'),
    'name' => 'bij1_migratie',
    'url' => CRM_Utils_System::url('civicrm/bij1migratie/form/csvselect', 'reset=1', TRUE),
    'permission' => 'administer CiviCRM',
    'operator' => 'OR',
    'separator' => 0,
  ]);
}

/**
 * Implements hook_civicrm_config().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_config/
 */
function bij1migratie_civicrm_config(&$config) {
  _bij1migratie_civix_civicrm_config($config);
}

/**
 * Implements hook_civicrm_install().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_install
 */
function bij1migratie_civicrm_install() {
  _bij1migratie_civix_civicrm_install();
}

/**
 * Implements hook_civicrm_postInstall().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_postInstall
 */
function bij1migratie_civicrm_postInstall() {
  _bij1migratie_civix_civicrm_postInstall();
}

/**
 * Implements hook_civicrm_uninstall().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_uninstall
 */
function bij1migratie_civicrm_uninstall() {
  _bij1migratie_civix_civicrm_uninstall();
}

/**
 * Implements hook_civicrm_enable().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_enable
 */
function bij1migratie_civicrm_enable() {
  _bij1migratie_civix_civicrm_enable();
}

/**
 * Implements hook_civicrm_disable().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_disable
 */
function bij1migratie_civicrm_disable() {
  _bij1migratie_civix_civicrm_disable();
}

/**
 * Implements hook_civicrm_upgrade().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_upgrade
 */
function bij1migratie_civicrm_upgrade($op, CRM_Queue_Queue $queue = NULL) {
  return _bij1migratie_civix_civicrm_upgrade($op, $queue);
}

/**
 * Implements hook_civicrm_entityTypes().
 *
 * Declare entity types provided by this module.
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_entityTypes
 */
function bij1migratie_civicrm_entityTypes(&$entityTypes) {
  _bij1migratie_civix_civicrm_entityTypes($entityTypes);
}

// --- Functions below this ship commented out. Uncomment as required. ---

/**
 * Implements hook_civicrm_preProcess().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_preProcess
 */
//function bij1migratie_civicrm_preProcess($formName, &$form) {
//
//}

/**
 * Implements hook_civicrm_navigationMenu().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_navigationMenu
 */
//function bij1migratie_civicrm_navigationMenu(&$menu) {
//  _bij1migratie_civix_insert_navigation_menu($menu, 'Mailings', array(
//    'label' => E::ts('New subliminal message'),
//    'name' => 'mailing_subliminal_message',
//    'url' => 'civicrm/mailing/subliminal',
//    'permission' => 'access CiviMail',
//    'operator' => 'OR',
//    'separator' => 0,
//  ));
//  _bij1migratie_civix_navigationMenu($menu);
//}
